<div *ngIf="isLoggedIn" class="text-2xl p-4">Welcome {{ displayName }}!</div>

<div *ngIf="isLoggedIn" class="text-2xl font-medium pl-4 pb-2">
  <button
    (click)="logout()"
    pButton
    label="Logout"
    class="p-button-link"
  ></button>
</div>

<div *ngIf="!isLoggedIn" class="text-2xl font-medium p-4">
  <button (click)="goToLoginPage()" pButton label="Login"></button>
</div>

<div class="surface-card p-4 shadow-2 border-round w-10 xl:w-full m-3 xl:m-0">
  <div>
    <form (ngSubmit)="search()">
      <label for="query" class="block text-900 font-medium mb-2"
        >Movie Name:
      </label>
      <input
        id="query"
        type="text"
        pInputText
        class="w-full mb-3"
        name="query"
        [(ngModel)]="query"
      />

      <div class="flex justify-content-end">
        <button
          pButton
          pRipple
          label="Search"
          type="submit"
          icon="pi pi-search"
          class="text-lg"
        ></button>
        <button
          pButton
          pRipple
          (click)="clear()"
          label="Clear"
          icon="pi pi-trash"
          class="text-lg ml-2"
        ></button>
      </div>
    </form>
  </div>
</div>

<div *ngFor="let movie of movies" class="flex justify-content-center">
  <div class="surface-card p-4 shadow-2 border-round m-4 flex w-full lg:w-6">
    <div class="flex justify-content-center align-items-center">
      <img
        src="https://image.tmdb.org/t/p/w200/{{ movie.posterPath }}"
        alt="Movie Poster"
      />
    </div>

    <div class="ml-4">
      <div class="text-3xl font-medium text-900 mb-3 flex align-items-center">
        <div>
          {{ movie.title }}
        </div>

        <div class="pl-1">
          <button
            (click)="toggleFavorite(movie.id)"
            pButton
            [icon]="movie.isFavorite ? 'pi pi-heart-fill' : 'pi pi-heart'"
            class="p-button-link"
          ></button>
        </div>
      </div>
      <div class="font-medium text-500 mb-3">
        {{ movie.id }} | {{ movie.releaseDate }}
      </div>
      <div class="border-2 border-dashed surface-border p-2 text-700">
        {{ movie.overview }}
      </div>

      <div class="pt-2">
        <button
          pButton
          (click)="goToMovieDetails(movie.id)"
          class="text-lg w-full"
          icon="pi pi-book"
          label="Details"
        ></button>
      </div>
    </div>
  </div>
</div>
